Aug
05
2009

kde 4.3 is here :) quick gentoo (upgrade) guide

KDE 4.3 has arrived :D

Lots of behind-the-scenes fixes, a new pretty (debatable) default plasma theme and various new stuff across the board make kde 4.3 an exciting release!

Gentoo ebuilds were available the moment tarballs were released, thanks to the hard work of our Gentoo KDE team ;)

However, since 4.3 brings some new packages (and dependencies), we’ve hard masked the ebuilds until everything gets the proper keywords.
You can follow the keywording progress in bug 280312.

Instructions on how to unmask kde 4.3 after the screenshot

kde 4.3

unmasking & installing kde 4.3
kde 4.3 might be masked but it works fine on x86 and amd64 (for other archs check the bug above).
to install it, you can easily unmask it using the unmask file provided in the kde-testing overlay, [kde-testing]/Documentation/package.unmask/kde-4.3

if you don’t have / don’t want the overlay, you can grab the file here.

you can also use a command similar to

# unmasking kde 4.3
wget -O /etc/portage/package.unmask/kde-4.3 'http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=blob_plain;f=Documentation/package.unmask/kde-4.3'

to automatically save the unmask file to your unmask folder (if you use folders) :)

for those using stable gentoo, there’s a similar keywords file

# adding kde 4.3 in package.keywords/
wget -O /etc/portage/package.keywords/kde-4.3 'http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=blob_plain;f=Documentation/package.keywords/kde-4.3.keywords'

troubleshooting
if you’re trying to upgrade from kde 4.2, but portage gives you nice little blocks, there are a few things you can check:

  • make sure you’ve synced the tree and kde-testing overlay (if using it) :p
  • make sure the unmask/keyword files are correct and up-to-date
  • check that you don’t have any 4.2 versioned kde-base/* items in /var/lib/portage/world
  • check that you don’t have any 4.2 versioned sets in /var/lib/portage/world_sets
  • emerge -avDuN world — you’ll probably get some messy output but all blocks should be automatically resolved

if you hit any issues feel free to leave a comment, check the gentoo kde 4 guide (should be up-to-date soon) or visit us @ #gentoo-kde (freenode).

enjoy your shiny new kde!

tags: , , , , ,
posted in gentoo by Alex “wired” Alexander

Follow comments via the RSS Feed | Leave a comment | Trackback URL

13 Responses to “kde 4.3 is here :) quick gentoo (upgrade) guide”

  1. Julian says:

    “Gentoo ebuilds were available the moment tarballs were released, thanks to the hard work of our Gentoo KDE team ;)” This is awesome. Good job and thanks for the hard work.

    P.S. The package.keywords link in the wget script is broken (“gditweb” vs “gitweb”)

  2. Toralf Förster says:

    Good news, BTW the link “there’s a similar keywords file” has a typo (g*d*itweb)

  3. wir3d says:

    meh, stupid typo, i wonder how that *d* got in there… fixed, thank you both :)

  4. KDE4 im Gentoo…

    Update: Dieser Artikel behandelt KDE 4.1. Für das kürzlich erschienende KDE 4.3 findet man u.a. hier nützliche Informationen.
    Wer sich nicht an die KDE4 SVN-Ebuilds traut, sollte sich mal das Overlay des KDE-Teams von Gentoo ansehen. Eine gute Ãœbersi…

  5. I have updated the official Gentoo KDE Guide with the above useful information and troubleshooting tips. http://kde.gentoo.org/kde4-guide.xml

  6. javaJake says:

    Excellent! I am definitely going to try this out! Thanks!

  7. datag says:

    “check that you don’t have any 4.2 versioned sets in /var/lib/portage/world_sets”

    Maybe it's worth describing how to solve this if there were 4.2 sets. The kde-gentoo-guide doesn't say a word about that. The question is: How to proper upgrade from 4.2 sets to 4.3 sets. My solution was to edit /var/lib/portage/world_sets by hand and replace 4.2 by 4.3 and then copied the new set-files to /etc/portage/sets. I don't know if this has any side-effects. Another solution would be, to completely unmerge the old 4.2 set first.

  8. genewbie says:

    Thank you very much for the instructions, they helped a lot! =)

  9. Julian says:

    I just removed the @kde-4.2 line from world_sets and everything worked great

  10. Mark Ellis says:

    Hi

    Emerge kde-meta:4.3 didn't work for me, I had to do the individual metas.

    Issues on amd64 arch are:
    Compilation issue with kde-base/step when emerging kdeedu-meta
    Block clash with net-wireless/bluez vs net-wireless/bluez-lib ie kde4 solid vs firefox 3.5.2

    Overall I like kde-4.3, I've been a kde-3 user for a long time

    Regards
    Mark

  11. […] you’re using amd64 or x86 you can upgrade to 4.3.1 now by following this post’s instructions to unmask it. The instructions are for 4.3.0 but they’re valid for 4.3.1 as well. If […]

  12. loans says:

    Awesome man! I posted some comments before anyway, because a lot of your stuff is really awesome.

  13. kdeedu says:

    […] in the KDEEdu category, which contains a lot of great tools for school and teaching like Kig …kde 4.3 is here :) quick gentoo (upgrade) guide | Linux~izedkde 4.3 is here :) quick gentoo (upgrade) guide … Name (required) Mail (will not be published) […]

Leave a Reply

 
Powered by Wordpress and MySQL. Original theme by openark.org - customization by me :)